package es.imunnic.inversionitasBot;

import es.imunnic.inversionitasBot.services.GoogleNewsScraperService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.telegram.telegrambots.meta.TelegramBotsApi;
import org.telegram.telegrambots.meta.exceptions.TelegramApiException;
import org.telegram.telegrambots.updatesreceivers.DefaultBotSession;

import java.util.List;

@SpringBootApplication
@EnableScheduling
public class InversionitasBotApplication {
	private static final Logger logger = LoggerFactory.getLogger(GoogleNewsScraperService.class);

	public static void main(String[] args) {
		ApplicationContext context = SpringApplication.run(InversionitasBotApplication.class, args);
		InversionitasBotApplication app = context.getBean(InversionitasBotApplication.class);
		app.initBot();
	}

	public void initBot() {
		TelegramBot warbot = new TelegramBot();
		try {
			TelegramBotsApi telegramBotsApi = new TelegramBotsApi(DefaultBotSession.class);
			telegramBotsApi.registerBot(warbot);
		} catch (TelegramApiException t) {
			t.printStackTrace();
		}
	}


}
